Build-config module should not attempt to apply checkstyle or forbiddenapi rules

Description

This module is about defining those rules, so trying to apply them will obviously result in problems. Best case we will apply the rules from a previous build of the same version, worst case the build will fail because the necessary dependencies were not found or were found but included obsolete rules.

The problem is mainly (only?) visible when you try to build a tagged Hibernate Search version against a Maven repository that doesn't already contain that version, for instance in productization builds.

Environment

None

Status

Assignee

Yoann Rodière

Reporter

Yoann Rodière

Labels

None

Suitable for new contributors

None

Feedback Requested

None

Components

Priority

Major